Get agent
curl --request GET \
--url https://api.getarbol.com/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getarbol.com/v1/agents/{agentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarbol.com/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"primaryLanguage": "<string>",
"systemPrompt": "<string>",
"greeting": "<string>",
"model": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"supportedLanguages": [
"<string>"
],
"voiceConfigs": [
{
"id": "<string>",
"voiceId": "<string>",
"language": "<string>",
"label": "<string>",
"settings": {},
"isDefault": true
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}Agents
Get agent
Get detailed information about a specific agent including voice configs and metadata.
GET
/
agents
/
{agentId}
Get agent
Authorizations
Use your API key from the Arbol dashboard. Go to Settings > API Keys to generate one.
Path Parameters
Agent ID (agt_ prefix)
Response
Agent details
⌘I